CUT(1)

NAME
cut - select portions of each line of a file

SYNOPSIS
cut -b list [-n] [file ...]
cut -c list [file ...]
cut -f list [-d string] [-s] [file ...]

DESCRIPTION
The cut utility selects portions of each line (as specified by list) from each file and writes them to the standard output. If the file argument is a single dash (‘-’) or no file arguments were specified, lines are read from the standard input. The items specified by list can be in terms of column position or in terms of fields delimited by a special character. Column and field numbering start from 1.

list is a comma or whitespace separated set of increasing numbers and/or number ranges. Number ranges consist of a number, a dash (-), and a second number and select the columns or fields from the first number to the second, inclusive. Numbers or number ranges may be preceded by a dash, which selects all columns or fields from 1 to the first number. Numbers or number ranges may be followed by a dash, which selects all columns or fields from the last number to the end of the line. Numbers and number ranges may be repeated, overlapping, and in any order. It is not an error to select columns or fields not present in the input line.

The options are as follows:

-b list
    list specifies byte positions.

-c list
    list specifies character positions.

-d string
    Use the first character of string as the field delimiter character. The default is the <TAB> character.

-f list
    list specifies fields, separated by the field delimiter character. The selected fields are output, separated by the field delimiter character.

-n  Do not split multi-byte characters when the -b option is used. Characters will only be output if at least one byte is selected, and, after a prefix of zero or more unselected bytes, the rest of the bytes that form the character are selected.

-s  Suppress lines with no field delimiter characters. Unless specified, lines with no delimiters are passed through unmodified.

ENVIRONMENT
The LANG, LC_ALL, and LC_CTYPE environment variables affect the execution of cut if the -n option is specified. Their effect is described in environ(7).

EXIT STATUS

SEE ALSO
colrm(1), paste(1)

STANDARDS
The cut utility conforms to p1003.2-92.

HISTORY
A cut command first appeared in AT&T UNIX III and has been available since 4.3BSD Reno.

AUTHORS
-nosplit The original Bell Labs version was written by Gottfried W. R. Luderer and the BSD version by Adam S. Moskowitz and Marciano Pitargue.